Issue 77000 - Unsuitable Search Entrys
Summary: Unsuitable Search Entrys
Status: CLOSED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: code (show other issues)
Version: OOo 2.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: Ariel Constenla-Haile
QA Contact: issues@tools
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-06 10:51 UTC by michaelkoechling
Modified: 2016-03-22 23:14 UTC (History)
9 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: Easy


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description michaelkoechling 2007-05-06 10:51:04 UTC
The Menu "Extras" - "Optionen" - "Internet" - "Suche" has unsuitable Entrys. The
Seaches mapped to english users and obsolete Engines.

The following entries are obsolete:

AltaVista.com -> This is the Yahoo Search since Yahoo! eat AltaVista.com
EuroSeek.com -> They use Google... so why use an Search Page which use Google
Excite.com -> What is Excite.com?
Google.com -> Will be Google.de with &lr=lang_de and &hl=de
Hotbot.com -> Uses Ask.com
Lycos.com -> Use the german Version of Lycos
Yahoo.com -> Use the german version of Yahoo
Ask.com   -> Add it and use the german version of ask.com

MfG
Comment 1 rene 2007-05-06 15:11:39 UTC
reassign
Comment 2 kami911 2007-05-07 15:56:41 UTC
Yes, we should actualise it. What providers should be here?

Entries are stored here:
officecfg\registry\data\org\openoffice\Inet.xcu

Schema is here:
officecfg\registry\schema\org\openoffice\Inet.xcs

BTW this is not a P2 issue
Comment 3 michaelkoechling 2007-05-08 13:54:18 UTC
Google hold ~ 90% of the Search Market in Germany.
Other known Search Providers are Yahoo, MSN.

Also:

T-Online - Uses Google
AOL - Uses Google
Lycos - http://www.lycos.de/
Ask - http://de.ask.com/

Btw. What does P2 means? low? trivial? I'm new to this.
Comment 4 kami911 2007-05-08 16:57:17 UTC
Ok, let's collect the required search engines. Are there any way to make the
searches language depended? For example the search enigens' interface language
should depend on UI language.
Comment 5 michaelkoechling 2007-05-08 17:15:39 UTC
Hi kami,

lets go... this are the URLs of the Search Pages with the vars Pages in german
and Pages in germany

Google - http://www.google.de == German UI
http://www.google.de/webhp?hl=de&lr=lang_de
# lr=lang_de == Pages in german

Yahoo! - http://de.search.yahoo.com == German UI
http://de.search.yahoo.com/?fr=yfp-t-501
# meta=vl%3Dlang_de == Pages in german

MSN - http://www.live.com/?searchonly=true&mkt=de-DE == German UI
Can't see whats the vars for german results are

ASK - http://de.ask.com == German UI
http://de.ask.com/?q=&dm=lang

# &dm=lang == May be results in german
Comment 6 hennes.rohling 2007-05-22 10:25:06 UTC
@kso: No owner specified in XCS document. Can you please find the responsible
developer for this task.
Comment 7 kai.sommerfeld 2007-05-22 10:30:35 UTC
.
Comment 8 kai.sommerfeld 2007-05-23 08:06:17 UTC
kso->fl: According to mmp you are the right owner for this task. Please take over.
Comment 9 tora3 2008-10-19 09:23:47 UTC
Just one idea for Google: 
 Removing language relevant parameters would be one of the solutions.

  Exact
   ooInetPrefix: http://www.google.com/search?q=%22
   ooInetSuffix: %22
   ooInetCaseMatch: 0
   ooInetSeparator: %20

 The above settings seem to work with Japanese as well as English.
Comment 10 Kay 2015-03-03 22:30:40 UTC
Same as issue 125498, 

https://issues.apache.org/ooo/show_bug.cgi?id=125498

now fixed.